export function messageListener(fn: (type: 'script' | 'log' | 'info' | 'warn' | 'error' | 'syntax-error' | 'time' | 'response' | string, value: string, id: number) => void): Function {
    
    var evt = function(e: any) {
        if (!e.data || e.data === '' || e.data.type === 'webpackOk') {
            return;
        }

        fn(e.data.type, e.data.value, e.data.id);
    };

    window.addEventListener('message', evt);

    return () => {
        window.removeEventListener('message', evt);
    }
}